# Conditional build:
%bcond_without	javadoc		# don't build javadoc
%include	/usr/lib/rpm/macros.java

%define		srcname	commons-daemon
Summary:	Commons Daemon - controlling of Java daemons
Summary(pl.UTF-8):	Commons Daemon - kontrolowanie demonów w Javie
Name:		java-commons-daemon
Version:	1.0.15
Release:	2
License:	Apache v2.0
Group:		Libraries/Java
Source0:	http://www.apache.org/dist/commons/daemon/source/commons-daemon-%{version}-src.tar.gz
# Source0-md5:	e467bc1f332d47ad85d18ea8b8a897c3
URL:		http://commons.apache.org/daemon/
BuildRequires:	ant >= 1.4.1
BuildRequires:	automake
BuildRequires:	docbook-dtd412-xml
BuildRequires:	java-junit >= 3.7
BuildRequires:	jdk
BuildRequires:	jpackage-utils
BuildRequires:	rpm-javaprov
BuildRequires:	rpmbuild(macros) >= 1.300
BuildRequires:	xmlto >= 0:0.0.18-1
Requires:	java-commons-collections >= 2.0
Requires:	java-commons-logging >= 1.0
Requires:	jpackage-utils
Obsoletes:	jakarta-commons-daemon
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
The Daemon Component contains a set of Java and native code, including
a set of Java interfaces applications must implement and Unix native
code to control a Java daemon from a Unix operating system.

%description -l pl.UTF-8
Komponent Daemon zawiera zbiór kodu w Javie i natywnego, zawierającego
zbiór interfejsów w Javie, które muszą być zaimplementowane w
aplikacjach oraz natywny kod uniksowy kontrolujący demony w Javie w
systemie Unix.

%package -n jsvc
Summary:	Commons Daemon jsvc utility
Summary(pl.UTF-8):	Narzędzie jsvc Commons Daemon
Group:		Applications
Requires:	%{name} = %{version}-%{release}

%description -n jsvc
Jsvc is a set of libraries and applications for making Java
applications run on UNIX more easily.

%description -n jsvc -l pl.UTF-8
Jsvc jest zestawem bibliotek i aplikacji które ułatwiają uruchamianie
aplikacji Javy.

%package javadoc
Summary:	Commons Daemon documentation
Summary(pl.UTF-8):	Dokumentacja do Commons Daemon
Group:		Documentation
Requires:	jpackage-utils
Obsoletes:	jakarta-commons-daemon-doc
Obsoletes:	jakarta-commons-daemon-javadoc

%description javadoc
Commons Daemon documentation.

%description javadoc -l pl.UTF-8
Dokumentacja do Commons Daemon.

%prep
%setup -q -n %{srcname}-%{version}-src

%build
# Java part
required_jars="junit"
CLASSPATH=$(build-classpath $required_jars)
export CLASSPATH
%ant jar %{?with_javadoc:javadoc}

# native part
cd src/native/unix
cp -f /usr/share/automake/config.sub support
%configure \
	--with-java=%{java_home}
%{__make}
refentry2man < man/jsvc.1.xml > man/jsvc.1

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{_javadir}

# jars
cp -a dist/%{srcname}-%{version}.jar $RPM_BUILD_ROOT%{_javadir}/%{srcname}-%{version}.jar
ln -s %{srcname}-%{version}.jar $RPM_BUILD_ROOT%{_javadir}/%{srcname}.jar

# javadoc
%if %{with javadoc}
install -d $RPM_BUILD_ROOT%{_javadocdir}/%{srcname}-%{version}
cp -a dist/docs/* $RPM_BUILD_ROOT%{_javadocdir}/%{srcname}-%{version}
ln -s %{srcname}-%{version} $RPM_BUILD_ROOT%{_javadocdir}/%{srcname} # ghost symlink
%endif

install -d $RPM_BUILD_ROOT{%{_bindir},%{_mandir}/man1}
install src/native/unix/jsvc $RPM_BUILD_ROOT%{_bindir}
cp -a src/native/unix/man/jsvc.1 $RPM_BUILD_ROOT%{_mandir}/man1

%clean
rm -rf $RPM_BUILD_ROOT

%post javadoc
ln -nfs %{srcname}-%{version} %{_javadocdir}/%{srcname}

%files
%defattr(644,root,root,755)
%doc PROPOSAL.html RELEASE-NOTES.txt README
%{_javadir}/*.jar

%files -n jsvc
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/jsvc
%{_mandir}/man1/jsvc.1*

%if %{with javadoc}
%files javadoc
%defattr(644,root,root,755)
%{_javadocdir}/%{srcname}-%{version}
%ghost %{_javadocdir}/%{srcname}
%endif
%changelog
* Sat May 02 2015 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/java-commons-daemon.git;a=log;h=master

* Sat May 02 2015 Jan Rękorajski <baggins@pld-linux.org> 1d5a748
- x32 rebuild
- release 2 (by relup.sh)

* Thu Jun 06 2013 Arkadiusz Miśkiewicz <arekm@maven.pl> 7a87328
- up to 1.0.15

* Sat Oct 23 2010 pawelz <pawelz@pld-linux.org> 30f6975
- up to 1.0.3
- prebuilt binaries are no longer packaged

* Tue May 18 2010 sparky <sparky@pld-linux.org> a1610a4
- BR: docbook-dtd412-xml

* Tue May 18 2010 pawelz <pawelz@pld-linux.org> 143196d
- remove prebuilt binaries

* Tue May 18 2010 pawelz <pawelz@pld-linux.org> f9bf47e
- realy split

* Tue May 18 2010 pawelz <pawelz@pld-linux.org> 73c7da4
- split native part into -n jsvc subpackage.

* Tue May 18 2010 pawelz <pawelz@pld-linux.org> cda1e47
- fixed %install and %files

* Tue May 18 2010 pawelz <pawelz@pld-linux.org> 51f610d
- %prep and patch0 updated for 1.0.2

* Tue May 18 2010 pawelz <pawelz@pld-linux.org> 35a4fab
- up to 1.0.2
- updated deps
- dropped P: (old package names)

* Fri Apr 23 2010 pawelz <pawelz@pld-linux.org> b0e902b
- Don't force specific jdk.

* Mon May 18 2009 pawelz <pawelz@pld-linux.org> 572f3ec
- JDK bconds
- simplified (removed SHELL=/bin/sh and -Dbuild.compiler hacks)

* Thu Feb 12 2009 pawelz <pawelz@pld-linux.org> 0ff56f0
- unified %%build
- more %%docs
- install javadoc in correct dir
- build with java-gcj-compat-devel
- do not R jre
- rel 5

* Thu Dec 25 2008 pawelz <pawelz@pld-linux.org> f869006
- new source url

* Thu Dec 25 2008 pawelz <pawelz@pld-linux.org> d5a3b0e
- it is no longer part of Jakarta project

* Thu Dec 25 2008 pawelz <pawelz@pld-linux.org> 3f6ece9
- s/jakarta/java/ in Requires:
- added Provides/Obsoletes old name in subpackage

* Sun Nov 23 2008 Elan Ruusamäe <glen@pld-linux.org> 45b31cd
- rename to java-commons-daemon.spec

* Sat Feb 09 2008 Jakub Bogusz <qboosh@pld-linux.org> 07460ff
- unified License format

* Tue Jan 01 2008 Elan Ruusamäe <glen@pld-linux.org> 3dabde6
- rel 4

* Sat Dec 08 2007 Elan Ruusamäe <glen@pld-linux.org> 82e9a01
- jsvc added manual page; rel 3

